---
title:  "Release 1.1.0"
author: Julien Pagès
---

This new release of mozregression includes some new features:

- allow to use debug builds. Note that it will only work for inbounds
(for example when using -\-good-rev -\-bad-rev) - [Bug 1211138]
- print the pushlog regression range every step - [Bug 1216270]
- allow to launch a specific release (e.g., -\-launch 41) - [Bug 1214192]
- able to run under cygwin python - [bug 1185602]
- able to work with preview releases of Android - [bug 1185787]

And a few bugfixes also:

- results of Nightly-bisection not showing the dates anymore - [Bug 1176708]
- not all options are shown in the resume info - [Bug 1176100]

Thanks to Mikeling for being really active on some bugs here!

There is also a basic support for firefox os builds (flame, aries, simulator).
Lots of work still needs to be done to make it really useful, (see [bug 1205560])
but it is now possible to bisect between dates or changesets on a given
branch: mozregression will download the builds and ask you to flash it on
the device.

{% highlight bash %}
# Regression finding by date range with aries-opt builds (defaults to b2g-inbound)
mozregression --app b2g-aries --bad 2015-09-10 --good 2015-09-07
# Regression finding on mozilla-inbound for debug builds
mozregression --app b2g-aries --build-type debug --bad 2015-09-10 --good 2015-09-07 \
              --inbound-branch mozilla-inbound
# Flame builds with a good and bad revision
mozregression --app b2g-flame --bad-rev c4bf8c0c2044 --good-rev b93dd434b3cd
# find more information
mozregression --help
mozregression --list-build-types
{% endhighlight %}

Thanks to Michael Shal, Naoki Hirata and others for helping me on this.

[bug 1211138]: https://bugzilla.mozilla.org/show_bug.cgi?id=1211138
[bug 1216270]: https://bugzilla.mozilla.org/show_bug.cgi?id=1216270
[bug 1214192]: https://bugzilla.mozilla.org/show_bug.cgi?id=1214192
[bug 1176708]: https://bugzilla.mozilla.org/show_bug.cgi?id=1176708
[bug 1176100]: https://bugzilla.mozilla.org/show_bug.cgi?id=1176100
[bug 1185602]: https://bugzilla.mozilla.org/show_bug.cgi?id=1185602
[bug 1185787]: https://bugzilla.mozilla.org/show_bug.cgi?id=1185787
[bug 1205560]: https://bugzilla.mozilla.org/show_bug.cgi?id=1205560
