---
title:  "Release 2.2.0 and GUI release 0.8.0"
author: Julien Pagès
---

New mozregression releases, coming with great new features!

Changes for both GUI and command line:

- Avoid unnecessary downloads by reusing persistent builds ([bug 1160078]).
  Builds that are "near" the ones we want in bisection will be used by default
  now, instead of downloading the accurate build. In case you want to deactivate
  this behavior, you can use the command line flag "--approx-policy=none", or
  see in the "Global preferences" view in the GUI. You can also add "approx-policy = none"
  in your config file.
- Print the url of the bug that contain the changes that probably caused the regression
  ([bug 1239699]).
- add support for running builds from the *try* branch ([bug 1240033]).
- Fixed a bug that prevented empty profile dirs to be used ([bug 1233686]).

GUI changes only:

- Fixed a regression that prevented to run a build after a user cancel ([bug 1240393]).
- Fixed a crash when the builds were too old to contain metadata ([bug 1239993]).
- Remove modal dialogs in bisection ([bug 1235380]).
- Fixed the issue that minimized the log view on Windows ([bug 1219887]).

Command line changes only:

- Check good and bad builds prior to start the bisection ([bug 1233896]).
  This is an **important change**, now mozregression will by default make you
  test the first and last builds of a range *before* starting the bisection. The idea
  is to be sure that what you think is good and bad really is. Note that you can
  deactivate it by using the command line flag "--mode=no-first-check", or by adding
  "mode = no-first-check" in your config file.
- Allow to run a single b2g build with **-\-launch** (no associated bug).


[bug 1160078]: https://bugzilla.mozilla.org/show_bug.cgi?id=1160078
[bug 1239699]: https://bugzilla.mozilla.org/show_bug.cgi?id=1239699
[bug 1240033]: https://bugzilla.mozilla.org/show_bug.cgi?id=1240033
[bug 1233686]: https://bugzilla.mozilla.org/show_bug.cgi?id=1233686
[bug 1240393]: https://bugzilla.mozilla.org/show_bug.cgi?id=1240393
[bug 1239993]: https://bugzilla.mozilla.org/show_bug.cgi?id=1239993
[bug 1235380]: https://bugzilla.mozilla.org/show_bug.cgi?id=1235380
[bug 1219887]: https://bugzilla.mozilla.org/show_bug.cgi?id=1219887
[bug 1233896]: https://bugzilla.mozilla.org/show_bug.cgi?id=1233896
